Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Gokuma

Can any explain this GZDoom startup fail? (RESOLVED)

Recommended Posts

Posted (edited)

GL_VENDOR: ATI Technologies Inc.
GL_RENDERER: AMD Radeon(TM) HD 6520G  
GL_VERSION: 4.1.10600 Core Profile Context (Core profile)
GL_SHADING_LANGUAGE_VERSION: 4.10

Max. texture size: 16384
Max. texture units: 16
Max. varying: 128
Max. uniform block size: 65536
Uniform block alignment: 256

Execution could not continue.

Unable to load shader Default:
Init Shader 'Default':
Vertex shader:
Vertex shader was successfully compiled to run on hardware.
 
Fragment shader:
Fragment shader was successfully compiled to run on hardware.
 
Linking:
Vertex shader(s) failed to link, fragment shader(s) failed to link.
unexpected error.
unexpected error.

Edited by Gokuma

Share this post


Link to post

This is a bug in AMD's GLSL compiler. You should check if you can update your driver.

Share this post


Link to post

Damn.   Tried updating video driver but it says I'm using the newest.

Share this post


Link to post

In that case you'll have to tinker around with the shader yourself to find the cause and report back if you are successful.

Have you tried different GZDoom versions?

Share this post


Link to post

I don't know where to start or what files to play with to mess with the shader.

 

Version g4.1.3

Share this post


Link to post

 What happens if you run it with '-glversion 3.3'? That "card" is a bit old (from 2011) you could also try LZDoom.

Share this post


Link to post

Still same problem with -glversion 3.3.

 

LZDoom works in software mode but in open GL mode, all sprites are invisible, from my weapon to the zombies at the beginning of map01.

 

Zandronum works in hardware mode.

Share this post


Link to post

 It's a known amd driver bug, you could try an older video driver then. Which one was the last GZDoom version working there? Is it still working?

Share this post


Link to post
Posted (edited)

I never used GZDoom before.   Up to early/mid 2000's, I used a load of different ports, mostly ZDoom.   Came back to this stuff around 2013 and got Zandronum.  Got burnt out from it crashing with large mod I was putting together combining mostly any decent parts of my old work with an abandoned project I was the last left working on.   Back again and just using Zandronum 3.0 so far.   Seems more stable but haven't tried it with my project or Brutal Doom yet.

 

Tried rolling back my video driver and it turned it into standard VGA adapter with max res of 1200x768.  GZDoom said open gl not accelerated.   Updated it back to most recent driver from 2011.

 

Thanks for your help, all.   Not having much luck, except GZDoom Builder Bugfix seems to work fine with visual mode and all.  And apparently I can use LZDoom in software mode for most of the more recent editing features missing from Zandronum.   Had a long online Zandronum session last night with no crashes and hardware mode works fine in that.

Share this post


Link to post
4 hours ago, Gokuma said:

Updated it back to most recent driver from 2011.

 

Ok. In that case you are out of luck. The core profile was pretty much broken in AMD drivers of that vintage.

Is this a laptop or a full desktop system? If it is the latter, you might consider replacing the graphics card. Even a lowly Geforce 1030 will give it a significant boost.

 

Share this post


Link to post

@Gokuma have u also tried using Zdoom LE. It is a port that has a hardware renderer based on opengl 1.4 and it is based on zdoom 2.8.1 which means that some mods that don't work on zandronum may work on it. Though there would still be mods that  won't work with it (i.e mod that only work on latest GZdoom versions).

Share this post


Link to post
Posted (edited)

 The latest driver is from 2016. You need to look for your APU. If yours is the latest driver try an older one. I'd try 15.7.1 first.

https://www.amd.com/en/support/apu/amd-series-processors/amd-a6-series-apu-for-laptops/a6-3400m-radeon-hd-6520g

You can find older drivers @guru3d or just google your card model. You might need to use DDU to install an older driver.

 

 ZDoom32 is a bit more modern than LE and should run well too but it's also very old.

Edited by drfrag

Share this post


Link to post

 Have you tried  '-glversion 3.3' with LZDoom? I forgot that actually might work.

Share this post


Link to post
Posted (edited)

Alright, installed the first driver from 2015 and that got GZDoom working!  LZDoom's hardware mode also works.  Much thanks!

Share this post


Link to post

You're welcome! BTW are you the real and original Gokuma? If so i used some of your skins in an old version of an ancient project of mine.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×